com.google.gwt.user.datepicker.client

## Class DateChangeEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<ValueChangeHandler<T>>
    - - com.google.gwt.event.logical.shared.ValueChangeEvent<java.util.Date>
      - - com.google.gwt.user.datepicker.client.DateChangeEvent

    class DateChangeEvent
    extends ValueChangeEvent<java.util.Date>

Creates a new value every time a date is accessed.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

`GwtEvent.Type<H>`

### Constructor Summary

Constructors
`protected` `DateChangeEvent(java.util.Date value)` Creates a new date value change event.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <S extends HasValueChangeHandlers<java.util.Date> & HasHandlers> void` `fireIfNotEqualDates(S source, java.util.Date oldValue, java.util.Date newValue)` Fires value change event if the old value is not equal to the new value.
`java.util.Date` `getValue()` Gets the value.

### Methods inherited from class com.google.gwt.event.logical.shared.ValueChangeEvent

`dispatch, fire, fireIfNotEqual, getAssociatedType, getType, shouldFire, toDebugString`

### Methods inherited from class com.google.gwt.event.shared.GwtEvent

`assertLive, getSource, isLive, kill, revive`

### Methods inherited from class com.google.web.bindery.event.shared.Event

`setSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DateChangeEvent

    protected DateChangeEvent(java.util.Date value)

Creates a new date value change event.

Parameters:
  `value` - the value

### Method Detail

#### fireIfNotEqualDates

    public static <S extends HasValueChangeHandlers<java.util.Date> & HasHandlers> void fireIfNotEqualDates(S source,
                                                                                                            java.util.Date oldValue,
                                                                                                            java.util.Date newValue)

Fires value change event if the old value is not equal to the new value. Use this call rather than making the decision to short circuit yourself for safe handling of null.

Type Parameters:
  `S` - The event source
Parameters:
  `source` - the source of the handlers
  `oldValue` - the oldValue, may be null
  `newValue` - the newValue, may be null

#### getValue

    public java.util.Date getValue()

Description copied from class: `ValueChangeEvent`
Gets the value.

Overrides:
  `getValue` in class `ValueChangeEvent<java.util.Date>`
Returns:
  the value